local self_ID = "Tu-22M3"
declare_plugin(self_ID,
{
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,

displayName  = _("Tu-22M3"),
fileMenuName = _("Tu-22M3"),
version		 = "2.5.6",
state		 = "installed",
info		 = _("The Tupolev Tu-22M3 is a supersonic, variable-sweep wing, long-range strategic and maritime strike bomber developed by the Tupolev Design Bureau. According to some sources, the bomber was believed to be designated Tu-26 at one time. During the Cold War, the Tu-22M3 was operated by the Soviet Air Forces in a missile carrier strategic bombing role, and by the Soviet Naval Aviation in a long-range maritime anti-shipping role. Significant numbers remain in service with the Russian Air Force, and as of 2014 more than 100 Tu-22M3s are in use."),





InputProfiles =
{
    ["Tu-22M3"] = current_mod_path .. '/Input/Tu-22M3',
},




Skins	=
	{
		{
			name	= _("Tu-22M3"),
			dir		= "Theme"
		},
	},
	
Missions =
	{
		{
			name		    = _("Tu-22M3"),
			dir			    = "Missions",
		},
	},		
Options = 
	{
		{
			name		= _("Tu-22M3"),
			nameId		= "Tu-22M3",
			dir			= "Options",
		},
	},
LogBook =
	{
		{
			name		= _("Tu-22M3"),
			type		= "Tu-22M3",
		},
	},		
})

mount_vfs_liveries_path(current_mod_path ..  "/Liveries")
mount_vfs_model_path   (current_mod_path ..  "/Cockpit/Shape")
mount_vfs_texture_path (current_mod_path ..  "/Theme/ME")--for simulator loading window

mount_vfs_sound_path   (current_mod_path ..  "/Sounds")

local support_cockpit = current_mod_path..'/Cockpit/Scripts/'

----------------------------------------------------------------------------------------
MAC_flyable('Tu-22M3', support_cockpit, nil, current_mod_path..'/comm.lua')
----------------------------------------------------------------------------------------

dofile(current_mod_path.."/Views.lua") --View Settings.

make_view_settings('Tu-22M3', ViewSettings, SnapViews) 

plugin_done()
